InvokeDataAutomationLibraryIngestionJob
Invokes a data automation library ingestion job.
Request Syntax
PUT /data-automation-libraries/libraryArn/library-ingestion-jobs/ HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"entityType": "string",
"inputConfiguration": {
"inlinePayload": { ... },
"s3Object": {
"s3Uri": "string",
"version": "string"
}
},
"notificationConfiguration": {
"eventBridgeConfiguration": {
"eventBridgeEnabled": boolean
}
},
"operationType": "string",
"outputConfiguration": {
"s3Uri": "string"
},
"tags": [
{
"key": "string",
"value": "string"
}
]
}
URI Request Parameters
The request uses the following URI parameters.
- libraryArn
-
The library's ARN.
Length Constraints: Minimum length of 0. Maximum length of 128.
Pattern:
arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:data-automation-library/[a-zA-Z0-9-]{12,36}Required: Yes
Request Body
The request accepts the following data in JSON format.
- clientToken
-
To avoid creating duplicate resources, specify a unique token for this job.
Type: String
Length Constraints: Minimum length of 33. Maximum length of 256.
Pattern:
[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}Required: No
- entityType
-
The entity type.
Type: String
Valid Values:
VOCABULARYRequired: Yes
- inputConfiguration
-
Input configuration for the job.
Type: InputConfiguration object
Required: Yes
- notificationConfiguration
-
Notification configuration for the job.
Type: NotificationConfiguration object
Required: No
- operationType
-
The operation type.
Type: String
Valid Values:
UPSERT | DELETERequired: Yes
- outputConfiguration
-
Output configuration for the job.
Type: OutputConfiguration object
Required: Yes
-
Tags assigned to the job at time of creation.
Type: Array of Tag objects
Array Members: Minimum number of 0 items. Maximum number of 200 items.
Required: No
Response Syntax
HTTP/1.1 201
Content-type: application/json
{
"jobArn": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 201 response.
The following data is returned in JSON format by the service.
- jobArn
-
The job's ARN.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 128.
Pattern:
arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:data-automation-library-ingestion-job/[a-zA-Z0-9-]{12,36}
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
HTTP Status Code: 403
- ConflictException
-
HTTP Status Code: 409
- InternalServerException
-
HTTP Status Code: 500
- ResourceNotFoundException
-
HTTP Status Code: 404
- ServiceQuotaExceededException
-
HTTP Status Code: 402
- ThrottlingException
-
HTTP Status Code: 429
- ValidationException
-
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: